Get an organization advertiser grant
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Get an organization advertiser grant
Read one participant-visible grant with its complete append-only lifecycle history.
GET
/
organization
/
advertiser-grants
/
{grantRef}
Get an organization advertiser grant
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$